Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mystatement
Class Binary

    java.lang.Object
      mycompiler.mystatement.Statement
          mycompiler.mystatement.ExprStmt
              mycompiler.mystatement.Expr
                  mycompiler.mystatement.BinaryExpr
                      mycompiler.mystatement.Binary

All Implemented Interfaces:
  ITypeReplacementListener

    public class Binary

extends BinaryExpr

Field Summary
`Expr` | `expr1`
`Expr` | `expr2`
`Operator` | `op`

Fields inherited from class mycompiler.mystatement.Expr
`usedid`

Fields inherited from class mycompiler.mystatement.ExprStmt
`type`

Constructor Summary
`Binary()`

Method Summary
`void` | `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`Expr` | `get_Expr1()`
`Expr` | `get_Expr2()`
`java.lang.String` | `get_Name()`
`Operator` | `get_Operator()`
`void` | `neg_codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`void` | `not_codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`void` | `sc_check(de.dhbwstuttgart.typeinference.Menge classname, java.util.Hashtable ch, java.util.Hashtable bh, boolean ext, java.util.Hashtable parach, java.util.Hashtable parabh)`
`void` | `set_Expr1(Expr exp)`
`void` | `set_Expr2(Expr exp)`
`void` | `set_Operator(Operator Op)`
`CTripleSet` | `TRExp(CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)`
`CTripleSet` | `TRStatement(CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)`
`boolean` | `type_check(CodeAttribute code)`

Methods inherited from class mycompiler.mystatement.Expr
`get_Name_Menge, get_Type_Menge, get_UsedId, set_Type, set_UsedId, TRMultiply, TRTuple`

Methods inherited from class mycompiler.mystatement.ExprStmt
`getType, getTypeLineNumber, getTypeName, replaceType, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### expr1

    public Expr expr1

### op

    public Operator op

### expr2

    public Expr expr2

Constructor Detail

### Binary

    public Binary()

Method Detail

### sc_check

    public void sc_check(de.dhbwstuttgart.typeinference.Menge classname,
                         java.util.Hashtable ch,
                         java.util.Hashtable bh,
                         boolean ext,
                         java.util.Hashtable parach,
                         java.util.Hashtable parabh)
                  throws SCStatementException

  Specified by:
    `sc_check` in class `Expr`
  Throws:
    `SCStatementException`

### set_Expr1

    public void set_Expr1(Expr exp)

### set_Expr2

    public void set_Expr2(Expr exp)

### set_Operator

    public void set_Operator(Operator Op)

### get_Name

    public java.lang.String get_Name()

  Specified by:
    `get_Name` in class `Expr`

### get_Operator

    public Operator get_Operator()

### get_Expr1

    public Expr get_Expr1()

### get_Expr2

    public Expr get_Expr2()

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Statement`
  Throws:
    `JVMCodeException`

### not_codegen

    public void not_codegen(ClassFile classfile,
                            CodeAttribute code,
                            de.dhbwstuttgart.typeinference.Menge paralist)
                     throws JVMCodeException

  Throws:
    `JVMCodeException`

### neg_codegen

    public void neg_codegen(ClassFile classfile,
                            CodeAttribute code,
                            de.dhbwstuttgart.typeinference.Menge paralist)
                     throws JVMCodeException

  Throws:
    `JVMCodeException`

### type_check

    public boolean type_check(CodeAttribute code)
                       throws JVMCodeException

  Throws:
    `JVMCodeException`

### TRExp

    public CTripleSet TRExp(CSubstitutionSet sigma,
                            CTypeAssumptionSet V,
                            CSupportData supportData)

  Specified by:
    `TRExp` in class `Expr`

### TRStatement

    public CTripleSet TRStatement(CSubstitutionSet sigma,
                                  CTypeAssumptionSet V,
                                  CSupportData supportData)

  Specified by:
    `TRStatement` in class `Statement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD